aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/test/test.sh
diff options
context:
space:
mode:
authorEgor Tensin <Egor.Tensin@gmail.com>2022-04-02 14:28:37 +0300
committerEgor Tensin <Egor.Tensin@gmail.com>2022-04-02 14:28:37 +0300
commit65bfbc1fb54850275d4e9842ef2bd333d2081af4 (patch)
treecd38ddc1ad1abf3d930bd769a7154a13da161b02 /test/test.sh
parenttest: add a test case (diff)
downloadconfig-links-65bfbc1fb54850275d4e9842ef2bd333d2081af4.tar.gz
config-links-65bfbc1fb54850275d4e9842ef2bd333d2081af4.zip
bash best practices & linting
Diffstat (limited to 'test/test.sh')
-rwxr-xr-xtest/test.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/test/test.sh b/test/test.sh
index f2920b5..9a9ff33 100755
--- a/test/test.sh
+++ b/test/test.sh
@@ -1,6 +1,7 @@
#!/usr/bin/env bash
set -o errexit -o nounset -o pipefail
+shopt -s inherit_errexit lastpipe
script_dir="$( dirname -- "${BASH_SOURCE[0]}" )"
script_dir="$( cd -- "$script_dir" && pwd )"
@@ -55,7 +56,7 @@ call_bin_script() {
printf -- '\n'
echo
- DEST="$test_dest_dir" ALT_DEST="$test_alt_dest_dir" eval "$@" --shared-dir "$test_src_dir" --database "$test_root_dir/links.bin"
+ DEST="$test_dest_dir" ALT_DEST="$test_alt_dest_dir" "$@" --shared-dir "$test_src_dir" --database "$test_root_dir/links.bin"
}
call_update() {